Skip to main content
Support - EBSCO Help

System Requirements to Listen to EBSCO Audiobooks

In order to download EBSCO Audiobooks to your Android or Apple device, the system requirements are as follows:

  • Apple iPhone, iPad, or iPod touch running iOS 8 or higher.

  • Android phone or tablet running Android version 5 or higher.

  • EBSCO Audiobooks app downloaded to your Android (Google Play) or Apple (iTunes) device.

See also:

How do I download an Audiobook?